import { MethodType } from "@/constants/enum/general/method-type.enum";
import { HeaderType } from "@/constants/enum/general/header-type.enum";

const nettyApi = {
  commonRq: {
    url: process.env.VUE_APP_MS_NETTY_API + process.env.VUE_APP_API_PREFIX + "/esb/netty",
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
  },
  unifiedLogin: {
    url: process.env.VUE_APP_MS_NETTY_API + process.env.VUE_APP_API_PREFIX + "/esb/unauth",
    methodType: MethodType.POST.code,
    headerType: HeaderType.BASE.code,
  },
  TRADE_CODE: {
    selectDBQK: "XD_001", //对公客户提供担保情况(个贷+信贷)查询
    selectHNDBQK: "XD_002", //对公客户在行内业务的担保情况查询
    selectFXYJ: "XD_003", //对公客户风险预警信号一览查询
    selectYDJ: "XD_004", //对公客户预登记开户
    selectCPCX: "XD_005", //对公产品查询
    selectXTGG: "XD_006", //系统公告查询
    selectXDGSXX: "XD_007", // 查询客户列表信息
    selectKHXQ: "XD_008", //对公客户详情查询
    selectCWXX: "XD_009", //对公客户财务信息查询
    selectZHSYL: "XD_010", //综合收益率
    selectPJQK: "XD_011", //对公客户近三年评级情况查询
    selectKHCS: "XD_012", //对公客户初筛
    selectCSLS: "XD_013", //对公客户初筛历史查询
    selectSXST: "XD_014", //对公客户统一授信视图查询
    selectZTYW: "XD_015", //对公客户及所在集团在我行在途业务申请情况查询
    selectCBXQ: "XD_016", //对公客户财报详情查询
    selectSGZ: "XD_017", //对公客户时光轴查询
    selectGDSX: "XD_018", //对公客户高管在我行授信情况(个贷)查询
    selectYDJXX: "XD_019", //对公客户预登记信息采集
    selectYXML: "XD_020", //对公客户影像目录查询
    selectYXZL: "XD_021", //对公客户影像资料上传
    selectZXSX: "XD_022", //对公客户及高管在他行授信情况(征信)查询
    selectDBQKZX: "XD_023", //对公客户提供担保情况(征信)查询

    selectSSLR: "XD_024", //对公客户综合收益率试算录入
    selectSSJL: "XD_025", //对公客户综合收益率试算记录
    selectSSXQ: "XD_026", //对公客户综合收益率试算详情
    selectSYLZH: "XD_027", //对公客户综合收益率报表查询(支行)
    selectSYLJT: "XD_028", //对公客户综合收益率报表查询(集团)
    selectSXYL: "XD_030", //统一授信额度及使用一览
    selectUserList: "XD_063", //根据hrcode查询信贷系统用户
    selectCompanylonaDetail: "XD_049", //贷后检查详情
    selectCompanylonaList: "XD_050", //贷后检擦客户列表
    selectFXYJCX: "XD_051", //对公风险预警任务查询
    dealFXYJXX: "XD_052", //对公客户风险预警任务处理or信息解除
    selectCus: "XD_053", //客户查找接口
    selectUnrelieveRisk: "XD_058", //对公客户未解除风险预警任务查询
    updatePostLoanMediaState: "XD_059", //更新贷后影像采集状态
    dealRedRisk: "XD_060", //对公红色预警处理
    selectFXYJXQCX: "XD_061", //对公客户风险预警详情查询
    selectMsgRemind: "XD_065", //消息提醒查询
    selectMsgRemindDetail: "XD_066", //消息提醒详情列表查询
    updateMsgStatus: "XD_067", // 消息提醒已读更新
    queryXDPendingNumber: 'XD_070', // 查询信贷待办任务数量
    selectRiskProcess: 'XD_071', // 对公客户-风险预警流程查询
    commitRiskProcess: 'XD_072', // 对公客户-风险预警流程提交
    cancelRiskProcess: 'XD_073', // 对公客户-风险预警流程取消
    selectProcess: "XD_076", //对公-流程查询列表查询
    selectProcessHistory: "XD_077", // 流程历史查询

    selectPersonalList: "GD_001", //个人客户列表查询接口(客户经理存量客户)
    selectPersonInfoDetail: "GD_002", //个人概况信息接口【查询】
    selectPersonalBasicInfo: "GD_003", //基础信息【查询】 - 申请信息
    selectPersonalWorkInfo: "GD_004", //工作单位信息
    selectPersonalDebtList: "GD_005", //上门催收任务列表查询
    saveContactInfo: "GD_006", //催收过程信息保存
    selectContactInfo: "GD_007", //催收过程信息查询
    selectContactTelInfo: "GD_008", //催收电话薄【列表查询】
    saveContactTelInfo: "GD_009", //催收电话薄【新增】
    updateContactTelInfo: "GD_010", //催收电话薄【修改】
    deleteContactTelInfo: "GD_011", //催收电话薄【删除】
    saveRepay: "GD_012", //承诺还款【保存】
    selectRepayList: "GD_013", //承诺还款【查询】
    selectSerialInfo: "GD_014", //借据基本信息查询
    selectAccountInfo: "GD_015", //账户信息【查询】
    selectRepayPlan: "GD_016", //还款计划信息【查询】
    selectRepayRecord: "GD_017", //还款记录【查询】
    selectABAcountInfo: "GD_018", //共同还款人【查询】
    selectContractInfo: "GD_019", // 共同借款人【查询】
    selectPersonalInfo: "GD_020", //个人客户验证
    selectGDYXJHCX: "GD_021", //个贷电话营销计划查询接口
    selectGDHYXJL: "GD_022", //个贷电话营销记录新增及营销计划作废接口
    selectGDHYXTH: "GD_023", //个贷电话营销计划退回接口
    selectGDHYXJLCX: "GD_024", //个贷电话营销记录查询接口
    selectGDUserList: "GD_025", //个贷用户列表查询
    selectGDLoanCheckList: 'GD_026', //贷后检查详情列表
    selectGDLoanCheckDetail: 'GD_027', // 贷后检查详情查询接口
    addLoanCheckInfo: 'GD_028', // 贷后检查新增及保存
    selectGDUser: 'GD_029', //查询用户接口
    selectGDOrgList: 'GD_030', //查询机构列表
    selectAfterLoanCheck: 'GD_031', // 新增贷后检查借据(合作项目)信息查询接口
    selectUpcomingTasksNum: 'GD_033', // 个贷数量列表
    selectContactPhoneNum: 'GD_034', // 催收电话详情

    selectOrgList: "XD_064", // 主管机构列表查询

    selectYQXX: "WB_005", //舆情信息
    selectYQZW: "WB_006", //舆情正文
    selectGSXXCX: "WB_007", //对公客户工商信息查询
    selectJBXX: "WB_008", //法海-司法数据-企业-基本信息
    selectCPWS: "WB_009", // 查询裁判文书
    selectFYGG: "WB_010", // 查询法院公告
    selectBZXR: "WB_011", // 查询被执行人
    selectSXBZXR: "WB_012", // 查询失信被执行人
    selectKTGG: "WB_013", //开庭公告查询
    selectAJLC: "WB_014", //案件流程查询
    selectBGT: "WB_015", //曝光台
    selectSFCDK: "WB_016", //司法查冻扣查询
    selectSY: "WB_017", //受益人实际控制人
    selectRelation: "WB_018", //关联方
    selectInfoMember: "WB_019", //集团成员
    selectDim: "WB_022", //安硕模糊查询
    selectMothCompany: "WB_021", //查询母公司
    selectManyPoint: "WB_020", //查询多节点
    selectCPWSXQ: "WB_025", //法海-司法数据-详细信息-裁判文书
    selectSXGGXQ: "WB_026", //法海-司法数据-详细信息-失信公告
    selectKTGGXQ: "WB_027", //法海-司法数据-详细信息-开庭公告
    selectFYGGXQ: "WB_028", //法海-司法数据-详细信息-法院公告
    selectAJLCXQ: "WB_029", //法海-司法数据-详细信息-案件流程
    selectBGTXQ: "WB_030", //法海-司法数据-详细信息-曝光台
    selectSFCDKXQ: "WB_031", //法海-司法数据-详细信息-司法查冻扣
    selectZXXQ: "WB_032", //法海-司法数据-详细信息-执行公告

    authenticationLogin: "WB_003", //统一认证登录
    selectEWM: "WD_001", //二维码
    selectNetCustList: "WD_002", //移动信贷展业个人客户列表列表筛选条件接口
    selectNetCustDetailInfo: "WD_003", //移动信贷展业个人概况信息查询接口
    selectNetFinanceStatus: "WD_004", //移动信贷展业家庭资产及财务信息查询接口
    selectNetWorkInfo: "WD_005", //移动信贷展业工作单位信息查询接口
    selectNetLoanCheckList: 'WD_010', // 网贷贷后检查列表
    selectNetLoanCheckDetail: 'WD_011', // 网贷贷后检查详情
    addNetLoanCheckInfo: 'WD_012', //网贷贷后检查新增及保存
    selectNetLoanCheckSerial: 'WD_013', // 新增网贷贷后检查借据（合同）查询接口
    selectFaceSignTaskList: "WD_015", //移动信贷展业随意分(预)面签任务查询接口
    faceSignTaskProcess: "WD_016", //移动信贷展业随意分（预）面签任务处理接口
    selectAddTaskInfo: "WD_017", //移动信贷展业随意分(预)面签任务新增时查询网贷随意分任务接口
    confirmAddTask: "WD_018", //移动信贷展业随意分(预)面签任务新增时查询网贷随意分任务确认接口
    selectSignPerson: "WD_019", //移动信贷展业随意分（预）面签任务查询用户列表接口
    selectNetUpcomingTasksNum: 'WD_020', // 网贷待办数量查询接口

    sendMessage: "DX_001", //短信推送
    selectCompanyAumInfo: "DS_001", // 对公客户贷款年日均查询
    selectPeronInfo: "DS_002", //个人客户信息查询

    selectBankcardList: "XYK_001", //面签信用卡列表查询
    onlineVerification: "LWHC_001" //联网核查
  }
};

export default nettyApi;
